ExceptionThrower (jakarta-bcel 5.2 API)
Keywords: org.apache.bcel.generic.ExceptionThrower interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.generic
Interface ExceptionThrower

All Known Implementing Classes:
  AALOAD, AASTORE, ANEWARRAY, ARETURN, ArrayInstruction, ARRAYLENGTH, ATHROW, BALOAD, BASTORE, CALOAD, CASTORE, CHECKCAST, DALOAD, DASTORE, DRETURN, FALOAD, FASTORE, FRETURN, GETFIELD, GETSTATIC, IALOAD, IASTORE, IDIV, INSTANCEOF, InvokeInstruction, INVOKEINTERFACE, INVOKESPECIAL, INVOKESTATIC, INVOKEVIRTUAL, IREM, IRETURN, LALOAD, LASTORE, LDC, LDC_W, LDIV, LREM, LRETURN, MONITORENTER, MONITOREXIT, MULTIANEWARRAY, NEW, NEWARRAY, PUTFIELD, PUTSTATIC, RETURN, ReturnInstruction, SALOAD, SASTORE

    public interface ExceptionThrower

Denote an instruction that may throw a run-time or a linking exception (or both) during execution. This is not quite the truth as such; because all instructions may throw an java.lang.VirtualMachineError. These exceptions are omitted. The Lava Language Specification specifies exactly which RUN-TIME and which LINKING exceptions each instruction may throw which is reflected by the implementers. Due to the structure of the JVM specification, it may be possible that an Instruction implementing this interface returns a Class[] of size 0. Please note that we speak of an "exception" here when we mean any "Throwable" object; so this term is equally used for "Exception" and "Error" objects.

Version:
  $Id: ExceptionThrower.java 386056 2006-03-15 11:31:56Z tcurdt $

Method Summary
`Class[]` | `getExceptions()`

Method Detail

### getExceptions

    Class[] getExceptions()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.